Installing Picoscope on Raspbian Stretch (Raspberry Pi 3 B)

Post your Linux discussions here
Post Reply
antonyLHart
Newbie
Posts: 0
Joined: Thu Oct 04, 2018 11:57 am

Installing Picoscope on Raspbian Stretch (Raspberry Pi 3 B)

Post by antonyLHart » Thu Oct 04, 2018 12:15 pm

I have tried the following and have encoutered an install error. Can you please provide any help in order to get this up and running? Thanks

pi@raspberrypi:~ $ cat /etc/os-release
NAME="Raspbian GNU/Linux"
VERSION_ID="9"
VERSION="9 (stretch)"
ID=raspbian
ID_LIKE=debian
HOME_URL="http://www.raspbian.org/"
BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"
pi@raspberrypi:~ $ deb http://labs.picotech.com/debian picoscope main
Last edited by antonyLHart on Mon Oct 15, 2018 9:56 am, edited 1 time in total.

Martyn
Site Admin
Site Admin
Posts: 3613
Joined: Fri Jun 10, 2011 8:15 am
Location: St. Neots

Re: Installing Picoscope on Raspbian Stretch (Raspberry Pi 3 B)

Post by Martyn » Mon Oct 08, 2018 7:41 am

We do not have a version of PicoScope software for the Raspberry Pi, there are some old drivers that would allow you to write your own application.

Please contact support@picotech.com for further advice.
Martyn
Technical Support Manager

antonyLHart
Newbie
Posts: 0
Joined: Thu Oct 04, 2018 11:57 am

Re: Installing Picoscope on Raspbian Stretch (Raspberry Pi 3 B)

Post by antonyLHart » Mon Oct 15, 2018 10:07 am

Hi, is understand now that there is no picoscope software available on this platfrom. I will be looing to create my own program to run the neccesary drivers. I followed the steps from the following page: https://www.picotech.com/downloads/linux

I recieved the following upon attempting to install with - sudo apt-get install picoscope

The following packages have unmet dependencies:
picoscope : Depends: picomono (>= 4.6.2.16-1r02) but it is not installable
Depends: libpicoipp (= 1.3.0-4r21) but it is not going to be installed
Depends: libpl1000 (= 2.0.0-1r570) but it is not going to be installed
Depends: libps2000 (= 3.0.0-3r570) but it is not going to be installed
Depends: libps2000a (= 2.1.0-5r570) but it is not going to be installed
Depends: libps3000 (= 4.0.0-3r570) but it is not going to be installed
Depends: libps3000a (= 2.1.0-6r570) but it is not going to be installed
Depends: libps4000 (= 2.1.0-2r570) but it is not going to be installed
Depends: libps4000a (= 2.1.0-2r570) but it is not going to be installed
Depends: libps5000 (= 2.1.0-3r570) but it is not going to be installed
Depends: libps5000a (= 2.1.0-5r570) but it is not going to be installed
Depends: libps6000 (= 2.1.0-6r580) but it is not going to be installed
Depends: libusbdrdaq (= 2.0.0-1r570) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Am I looking at the correct drivers or should I be using something else? Can you point me in the right direction please?

Martyn
Site Admin
Site Admin
Posts: 3613
Joined: Fri Jun 10, 2011 8:15 am
Location: St. Neots

Re: Installing Picoscope on Raspbian Stretch (Raspberry Pi 3 B)

Post by Martyn » Mon Oct 15, 2018 11:49 am

Please email support@picotech.com and the team will assist you. You should not be trying to install PicoScope and instead just using something like

sudo apt-get install libps5000a

with the appropriate library for your PicoScope, to get the drivers.
Martyn
Technical Support Manager

antonyLHart
Newbie
Posts: 0
Joined: Thu Oct 04, 2018 11:57 am

Re: Installing Picoscope on Raspbian Stretch (Raspberry Pi 3 B)

Post by antonyLHart » Mon Oct 15, 2018 1:31 pm

ok, i have installed the necessary driver for the ps2000a. I have run the test file as root and have rw access. This is positive. I am unsure which .so file to import into my python application. I have the following:

libpicoipp.so
libpicoipp.so.1
libpicoipp.so.1.0.1
libps2000a.so
libps2000a.so.2
libps2000a.so.2.0.0

Also, i cannot find any programming examples with the download. Any Python coding examples would be extremely useful... I could work it out easisliy with a clear example...please?

Thanks

Martyn
Site Admin
Site Admin
Posts: 3613
Joined: Fri Jun 10, 2011 8:15 am
Location: St. Neots

Re: Installing Picoscope on Raspbian Stretch (Raspberry Pi 3 B)

Post by Martyn » Tue Oct 16, 2018 5:42 am

If you look in /opt/picoscope there should be a c example

All our example code is located on GitHub
Martyn
Technical Support Manager

Post Reply